Delete a theft report
This service can be used to delete an active theft report.
If you need to report that the associated vehicle was recovered, you can close the report using the dedicated service. This will ensure that you get accurate statistics about the Stolen Vehicle Service.
The unique identifier of the theft report to be deleted
Drivekit Admin API key
Successful response with the details of the deleted theft report
The unique identifier of the stolen vehicle report
The date and time when the report was created, in ISO 8601 format
2026-04-24T14:50:40.407+00:00The date and time when the vehicle was reported as stolen, in ISO 8601 format
2026-04-23T21:55:09.954+00:00The date and time when the theft report was closed, in ISO 8601 format
2026-05-23T21:55:09.954+00:00The reason for closing the theft report
Additional comments regarding the closure of the theft report
The status of the theft report
Unauthorized
Not found
Unprocessable Entity (e.g., the report is not active)
DELETE /v3/drivekit/admin/beacon/reports/{reportId} HTTP/1.1
Host: service.drivequant.com
DriveKit-Admin-API-Key: text
Accept: */*
{
"id": "text",
"requestDate": "2026-04-24T14:50:40.407+00:00",
"theftReportDate": "2026-04-23T21:55:09.954+00:00",
"theftReportClosingDate": "2026-05-23T21:55:09.954+00:00",
"theftReportClosingReason": null,
"theftReportClosingComment": null,
"status": "ACTIVE",
"beacon": {
"uuid": "123e4567-e89b-12d3-a456-426614174000",
"major": 1,
"minor": 1
}
}Response body
The table below summarizes the content of the response body.
id
string
Unique identifier of the theft report
requestDate
string
Date at which the theft was reported on DriveQuant platform.
Date format: YYYY-MM-dd’T’HH:mm:ss.SSSZ
theftReportDate
string
Date at which the theft was reported to the authorities.
Date format: YYYY-MM-dd’T’HH:mm:ss.SSSZ
theftReportClosingDate
string
Date at which the theft report expires.
Date format: YYYY-MM-dd’T’HH:mm:ss.SSSZ
status
string
Status of the report.
Allowed values: CANCELED
Beacon
The table below summarizes the content of the Beacon object.
uuid
string
iBeacon UUID
major
integer
iBeacon major identifier
minor
integer
iBeacon minor identifier
Last updated
Was this helpful?

